Author Topic: Errors at end of doing a dist-upgrade on MD  (Read 599 times)

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1381
  • If it ain't broke, tweak it
    • View Profile
Errors at end of doing a dist-upgrade on MD
« on: August 19, 2013, 02:17:30 pm »
I did a dist-upgrade on my core which went fine it would seem (didn't take very long).

Then did it on an MD, which took a good few hours, but it ended with the errors below.

Code: [Select]
Setting up mysql-server (5.1.70-0ubuntu0.10.04.1) ...
Setting up pluto-boot-scripts (2.0.0.45.13042227457) ...
Installing new version of config file /etc/init.d/linuxmce ...
avahi-daemon start/running, process 22216

Setting up pluto-database-settings (2.0.0.45.12081326353) ...
ERROR 1044 (42000) at line 1: Access denied for user 'root'@'192.168.80.4' to database 'pluto_main'
dpkg: error processing pluto-database-settings (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of pluto-sqlcvs:
 pluto-sqlcvs depends on pluto-database-settings (>= 2.0.0.45); however:
  Package pluto-database-settings is not configured yet.
 pluto-sqlcvs depends on pluto-database-settings (<< 2.0.0.46); however:
  Package pluto-database-settings is not configured yet.
dpkg: error processing pluto-sqlcvs (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of pluto-media-database:
 pluto-media-database depends on pluto-sqlcvs (>= 2.0.0.45); however:
  Package pluto-sqlcvs is not configured yet.
 pluto-media-database depends on pluto-sqlcvs (<< 2.0.0.46); however:
  Package pluto-sqlcvs is not configured yet.
 pluto-media-database depends on pluto-database-settings (>= 2.0.0.45); however:
  Package pluto-database-settings is not configured yet.
 pluto-media-database depends on pluto-database-settings (<< 2.0.0.46); however:
  Package pluto-database-settings is not configured yet.
dpkg: eNo apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                                 No apport report written because the error message indicates its a followup error from a previous failure.
        No apport report written because MaxReports is reached already
                                                                      rror processing pluto-media-database (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of pluto-system-database:
 pluto-system-database depends on pluto-sqlcvs (>= 2.0.0.45); however:
  Package pluto-sqlcvs is not configured yet.
 pluto-system-database depends on pluto-sqlcvs (<< 2.0.0.46); however:
  Package pluto-sqlcvs is not configured yet.
 pluto-system-database depends on pluto-database-settings (>= 2.0.0.45); however:
  Package pluto-database-settings is not configured yet.
 pluto-system-database depends on pluto-database-settings (<< 2.0.0.46); however:
  Package pluto-database-settings is not configured yet.
dpkg: error processing pluto-system-database (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 pluto-database-settings
 pluto-sqlcvs
 pluto-media-database
 pluto-system-database
E: Sub-process /usr/bin/dpkg returned an error code (1)
You have new mail in /var/mail/root

Looks nasty to my untrained eye, is it anything I need to be worried about?

The "ERROR 1044 (42000) at line 1: Access denied for user 'root'@'192.168.80.4' to database 'pluto_main'" part looked relevant to me, is that something to do with access to mysql?

Cheers,
Matt.
« Last Edit: August 19, 2013, 02:26:57 pm by purps »
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5497
  • DOES work for LinuxMCE.
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #1 on: August 19, 2013, 07:01:32 pm »
Yes, the quick fix is to go to the core, launch mysql -uroot and then type

Code: [Select]
mysql> GRANT ALL PRIVILEGES ON pluto_main.* TO root@192.168.80.4;
mysql> FLUSH PRIVILEGES
mysql> QUIT

And try your upgrade again. In the mean time, can you please create a trac ticket about this so we can dig in?

-Thom

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1381
  • If it ain't broke, tweak it
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #2 on: August 19, 2013, 11:19:08 pm »
Did this on the core...

Code: [Select]
mysql> GRANT ALL PRIVILEGES ON pluto_main.* TO root@192.168.80.4;
Query OK, 0 rows affected (0.02 sec)

mysql> FLUSH PRIVILEGES;
Query OK, 0 rows affected (0.00 sec)

... and then sshed into the MD and got the same error when I tried to dist-upgrade.

Just in case you meant for me to do it on the MD, I tried it there as well, and got the following...

Code: [Select]
mysql> GRANT ALL PRIVILEGES ON pluto_main.* TO root@192.168.80.4;
ERROR 1044 (42000): Access denied for user 'root'@'192.168.80.4' to database 'pluto_main'
mysql>

...so I guess I was supposed to be doing it on the core. Am I doing something wrong?

(I will create a trac ticket in due course).

Cheers,
Matt.
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1381
  • If it ain't broke, tweak it
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #3 on: August 21, 2013, 10:28:19 pm »
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

phenigma

  • wants to work for LinuxMCE
  • **
  • Posts: 944
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #4 on: August 21, 2013, 11:40:49 pm »
pluto-database-settings should never install on an MD.  Something has gone wrong with your install.  Re-run Diskless_CreateTBZ.sh and then rebuild the MD from the webadmin.

J.

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1381
  • If it ain't broke, tweak it
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #5 on: August 22, 2013, 10:10:57 pm »
Dist-upgrade now runs through without any problem. Thank you very much.

Cheers,
Matt.
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

phenigma

  • wants to work for LinuxMCE
  • **
  • Posts: 944
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #6 on: August 22, 2013, 10:12:02 pm »
You're welcome.  I'm still curious about why the core packages were trying to install on the MD.

J.

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1381
  • If it ain't broke, tweak it
    • View Profile
Re: Errors at end of doing a dist-upgrade on MD
« Reply #7 on: August 22, 2013, 11:11:57 pm »
I'm sure I've had that on previous installs as well, not that I've had many since I first tried 1004 alpha.

Cheers,
Matt.
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps